-- hostname model methods
module (..., package.seeall)

fs = require("acf.fs")

get = function (fqdn)
	local f,n
	if fqdn then
		f = io.popen("/bin/hostname -f 2>/dev/null")
		n = f:read("*a")
		f:close()
	end
	if not n or n == "" then
		f = io.popen("/bin/hostname")
		n = f:read("*a") or "unknown"
		f:close()
	end

	return cfe({value=n, label="Hostname"})
end


read_name = function ()
	return cfe({ type="group", value={hostname=get(false)}, label="Hostname" })
end

update_name = function(self, name)
	local success = true

	if success then
		fs.write_file("/etc/hostname", name.value.hostname.value)
		local f =  io.popen("/bin/hostname -F /etc/hostname")
		f:close()
	else
		name.errtxt = "Failed to set hostname"
	end

	return name
end
