module (..., package.seeall)

require("modelfunctions")
fs = require("acf.fs")

local configfile = "/etc/modules"

function read_modules()
	local f = io.popen("/sbin/lsmod")
	local retval = f:read("*a")
	f:close()
	return cfe({ type="longtext", value=retval, label="Modules List" })
end

function read_file()
	return modelfunctions.getfiledetails(configfile)
end

function write_file(self, filedetails)
	return modelfunctions.setfiledetails(self, filedetails, {configfile})
end

function get_reloadmodules(self, clientdata)
	local actions = {}
	actions[1] = "restart"
	local service = cfe({ type="hidden", value="modules", label="Service Name" })
	local startstop = cfe({ type="group", label="Reload Modules", value={servicename=service}, option=actions, errtxt=errtxt })

	return startstop
end

function reloadmodules(self, startstop)
	return modelfunctions.startstop_service(startstop, "restart")
end
